curl --request GET \
--url https://api.cadanapay.com/v1/invoices/{invoiceId} \
--header 'Authorization: Bearer <token>'{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "paid",
"invoiceNumber": "INV-2024-001",
"date": "2024-03-15",
"dueDate": "2024-03-30",
"from": {
"name": "Acme Corp",
"address": "123 Business St, Suite 100, San Francisco, CA 94105",
"email": "billing@example.com",
"phoneNumber": {
"countryCode": "1",
"number": "4155551234"
}
},
"billTo": {
"name": "Example Corp",
"address": "456 Innovation Ave, Austin, TX 78701",
"email": "accounts@example.com",
"phoneNumber": {
"countryCode": "1",
"number": "5125555678"
}
},
"items": [
{
"personId": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"description": "John Doe - Consulting Services",
"category": "NET_PAYROLL",
"amount": {
"amount": 350000,
"currency": "USD"
},
"quantity": 1,
"total": {
"amount": 350000,
"currency": "USD"
}
},
{
"personId": "8d7f5678-8536-51ef-c55c-f18gd2g01bf8",
"description": "Jane Smith - Development Work",
"category": "NET_PAYROLL",
"originalAmount": {
"amount": 150000,
"currency": "EUR"
},
"amount": {
"amount": 162500,
"currency": "USD"
},
"fxRate": 1.0833,
"quantity": 1,
"total": {
"amount": 162500,
"currency": "USD"
}
},
{
"description": "International Transfer Fees",
"category": "PAYMENT_PROCESSING_FEE",
"amount": {
"amount": 2500,
"currency": "USD"
},
"quantity": 1,
"total": {
"amount": 2500,
"currency": "USD"
}
},
{
"description": "Service Fee",
"category": "CONTRACTOR_FEE",
"amount": {
"amount": 5000,
"currency": "USD"
},
"quantity": 2,
"total": {
"amount": 10000,
"currency": "USD"
}
}
],
"subtotal": {
"amount": 525000,
"currency": "USD"
},
"total": {
"amount": 525000,
"currency": "USD"
},
"baseCurrency": "USD",
"fxRates": {
"USD-EUR": 0.92,
"EUR-USD": 1.0833
},
"purpose": "Professional Services",
"notes": "Payment for services rendered in March 2024",
"createdTimestamp": 1710504000,
"lastUpdatedTimestamp": 1710590400
}Get invoice details
curl --request GET \
--url https://api.cadanapay.com/v1/invoices/{invoiceId} \
--header 'Authorization: Bearer <token>'{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "paid",
"invoiceNumber": "INV-2024-001",
"date": "2024-03-15",
"dueDate": "2024-03-30",
"from": {
"name": "Acme Corp",
"address": "123 Business St, Suite 100, San Francisco, CA 94105",
"email": "billing@example.com",
"phoneNumber": {
"countryCode": "1",
"number": "4155551234"
}
},
"billTo": {
"name": "Example Corp",
"address": "456 Innovation Ave, Austin, TX 78701",
"email": "accounts@example.com",
"phoneNumber": {
"countryCode": "1",
"number": "5125555678"
}
},
"items": [
{
"personId": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"description": "John Doe - Consulting Services",
"category": "NET_PAYROLL",
"amount": {
"amount": 350000,
"currency": "USD"
},
"quantity": 1,
"total": {
"amount": 350000,
"currency": "USD"
}
},
{
"personId": "8d7f5678-8536-51ef-c55c-f18gd2g01bf8",
"description": "Jane Smith - Development Work",
"category": "NET_PAYROLL",
"originalAmount": {
"amount": 150000,
"currency": "EUR"
},
"amount": {
"amount": 162500,
"currency": "USD"
},
"fxRate": 1.0833,
"quantity": 1,
"total": {
"amount": 162500,
"currency": "USD"
}
},
{
"description": "International Transfer Fees",
"category": "PAYMENT_PROCESSING_FEE",
"amount": {
"amount": 2500,
"currency": "USD"
},
"quantity": 1,
"total": {
"amount": 2500,
"currency": "USD"
}
},
{
"description": "Service Fee",
"category": "CONTRACTOR_FEE",
"amount": {
"amount": 5000,
"currency": "USD"
},
"quantity": 2,
"total": {
"amount": 10000,
"currency": "USD"
}
}
],
"subtotal": {
"amount": 525000,
"currency": "USD"
},
"total": {
"amount": 525000,
"currency": "USD"
},
"baseCurrency": "USD",
"fxRates": {
"USD-EUR": 0.92,
"EUR-USD": 1.0833
},
"purpose": "Professional Services",
"notes": "Payment for services rendered in March 2024",
"createdTimestamp": 1710504000,
"lastUpdatedTimestamp": 1710590400
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Required when using a Platform API token. The tenant key identifying which business to operate on.
The unique identifier for the invoice
get invoice response
An invoice document
"8ef9a712-cdae-4110-b1ea-9ba95abbee6e"
pending, paid, overdue, cancelled "paid"
Human-readable invoice number
"1764332528"
Invoice date
"2025-11-28"
Payment due date
"2025-11-26"
Invoice issuer
Show child attributes
Invoice recipient
Show child attributes
Show child attributes
Subtotal before any adjustments
Show child attributes
Total amount due
Show child attributes
Base currency for the invoice
"USD"
Exchange rates used in this invoice
Show child attributes
{ "USD-EUR": 0.863673, "USD-PHP": 58.208258 }Purpose of the invoice
"Payment Processing Fee"
Additional notes
"Payment for services rendered"
Unix timestamp when invoice was created
1764332530
Unix timestamp when invoice was last updated
1764339673